const std = @import("std");
const c = @import("ffi.zig").c;
const Room = @import("Room.zig");
const IconStore = @import("IconStore.zig");

rooms: std.ArrayList(Room),
rooms_lock: std.Thread.Mutex,
room_arena: std.heap.ArenaAllocator,
icon_store: IconStore,
dbus: *c.nhdbus,

const Self = @This();

pub fn deinit(self: *Self) void {
    self.rooms_lock.lock();

    self.room_arena.deinit();
    self.rooms.deinit();
    self.icon_store.deinit();
    c.g_object_unref(self.dbus);

    self.* = undefined;
}
