const std = @import("std");
pub const c = @cImport({
    @cInclude("nhdbus.h");
    @cInclude("rofi/mode.h");
    @cInclude("rofi/mode-private.h");
    @cInclude("rofi/helper.h");
    @cInclude("cairo.h");
});

const log = std.log.scoped(.ffi);

// This is defined in view.h, which is currently missing in the Arch package.
pub extern fn rofi_view_reload() void;

pub fn checkGError(err: ?*c.GError) !void {
    if (err) |e| {
        log.err("GLib error: {s}", .{e.message});
        return error.GError;
    }
}

pub fn checkCairoStatus(stat: c.cairo_status_t) !void {
    if (stat != c.CAIRO_STATUS_SUCCESS) {
        const s = c.cairo_status_to_string(stat);
        log.err("Cairo error: {s}", .{s});
        return error.CairoError;
    }
}
